# norootforbuild
%define default_patch_fuzz 0

Name:		varnish20-uplex
Version:	2.0.3
Release:	19.2
#
License:	BSD
Group:		Productivity/Networking/Web/Proxy
#
BuildRoot:	%{_tmppath}/%{name}-%{version}-build
BuildRequires:	ncurses-devel libxslt
Requires:	gcc
%define _bindir      %{_sbindir}
%define pkg_home     %{_var}/lib/%{real_name}
%define pkg_logdir   %{_var}/log/%{real_name}
%define pkg_cachedir %{_var}/cache/%{real_name}

%define real_name  varnish
%global  upstream_name	varnish


Conflicts:	varnish-*
Provides:	varnish
Obsoletes:	varnish-*
#
URL:		http://www.varnish-cache.org/
Source:		http://downloads.sourceforge.net/varnish/varnish-%{version}.tar.bz2
Source2:	varnish.init

Summary:	Varnish is a high-performance HTTP accelerator

%description
Varnish is an HTTP accelerator. An HTTP accelerator (often called Reverse
Proxy) is an application that stores (caches) documents that have been
requested over the HTTP protocol.

Based on certain criteria the next client requesting the document is either
given the cached document, or a "fresh" document requested from a backend
server. The purpose of this is to minimize the requests going to the backend
server(s) by serving the same document to potentially many users.


Authors:
--------
    Poul-Henning Kamp <phk@phk.freebsd.dk>


%package -n libvarnish1
Group: Productivity/Networking/Web/Proxy
#
Summary: Shared libraries for Varnish
%description -n libvarnish1
Varnish is an HTTP accelerator. An HTTP accelerator (often called Reverse
Proxy) is an application that stores (caches) documents that have been
requested over the HTTP protocol.

Based on certain criteria the next client requesting the document is either
given the cached document, or a "fresh" document requested from a backend
server. The purpose of this is to minimize the requests going to the backend
server(s) by serving the same document to potentially many users.


This package holds the shared libraries for varnish.


Authors:
--------
    Poul-Henning Kamp <phk@phk.freebsd.dk>


%package devel
Group: Development/Libraries/C and C++
Requires: %{real_name} = %{version}
#
Summary: Development files for Varnish
%description devel
Varnish is an HTTP accelerator. An HTTP accelerator (often called Reverse
Proxy) is an application that stores (caches) documents that have been
requested over the HTTP protocol.

Based on certain criteria the next client requesting the document is either
given the cached document, or a "fresh" document requested from a backend
server. The purpose of this is to minimize the requests going to the backend
server(s) by serving the same document to potentially many users.


This package holds the development files for varnish.


Authors:
--------
    Poul-Henning Kamp <phk@phk.freebsd.dk>


%debug_package
%prep
%setup -n %{real_name}-%{version} 
#%patch0
#%patch1 -p1
##%patch100
##%patch101
##%patch102

touch AUTHORS COPYING NEWS

%build
autoreconf -fi
%configure --disable-static --localstatedir=%{_var}/cache/ \
           --enable-debugging-symbols \
           --enable-developer-warnings

%{__make}



%install
%makeinstall
find %{buildroot} -ls
#
# remove unneeded files
# libvarnish.la has -lrt as dependency lib
#%{__rm} -fv %{buildroot}%{_libdir}/*.la
#
# missing directories
%{__install} -d -m 0755 %{buildroot}{%{pkg_logdir},%{pkg_home}}
%{__install} -D -m 0644 redhat/varnish.logrotate %{buildroot}/etc/logrotate.d/varnish
%if 0%{?suse_version}
#
# init scripts
%{__install} -D -m 0644 redhat/varnish.sysconfig %{buildroot}/var/adm/fillup-templates/sysconfig.%{real_name}
%{__install} -D -m 0755 %{S:2} %{buildroot}%{_sysconfdir}/init.d/%{real_name}
%{__ln_s} -f %{_sysconfdir}/init.d/%{real_name} %{buildroot}%{_sbindir}/rc%{real_name}
#
# config files
%{__install} -D -m 0644 etc/default.vcl %{buildroot}%{_sysconfdir}/%{real_name}/default.vcl
%{__install} -D -m 0644 etc/default.vcl %{buildroot}%{_sysconfdir}/%{real_name}/default.vcl.example
%else
#
# init scripts
%{__install} -D -m 0644 redhat/varnish.sysconfig %{buildroot}%{_sysconfdir}/sysconfig/%{real_name}
%{__install} -D -m 0755 redhat/varnish.initrc    %{buildroot}%{_sysconfdir}/init.d/%{real_name}
#
# config files
%{__install} -D -m 0644 etc/default.vcl %{buildroot}%{_sysconfdir}/%{real_name}/default.vcl
%{__install} -D -m 0644 etc/default.vcl %{buildroot}%{_sysconfdir}/%{real_name}/default.vcl.example
# directorys
%{__install} -m 0755 -d %{buildroot}%{pkg_cachedir}
%endif
%{__install} -m 0755 -d %{buildroot}%{_var}/run/%{real_name}

%clean
%{__rm} -rf %{buildroot}

%pre
/usr/sbin/groupadd -r %{pkg_name} &>/dev/null ||:
/usr/sbin/useradd -g %{pkg_name} -s /bin/false -r -c "user for %{pkg_name}" -d %{pkg_home} %{pkg_name} &>/dev/null ||:

%if 0%{?suse_version}
%post
%fillup_and_insserv %{pkg_name}

%preun
%stop_on_removal %{pkg_name}

%postun
%restart_on_update %{pkg_name}
%{insserv_cleanup}
%else
# how to do the same for RH/mandriva?
%endif

%post -n libvarnish1 -p /sbin/ldconfig

%postun -n libvarnish1 -p /sbin/ldconfig

%files
%defattr(-,root,root,-)
%if 0%{?suse_version}
%{_sbindir}/rc%{real_name}
/var/adm/fillup-templates/sysconfig.%{real_name}
%else
%config(noreplace) %{_sysconfdir}/sysconfig/%{real_name}
%endif
%config(noreplace) %{_sysconfdir}/init.d/%{real_name}
#
%dir %attr(750,%{pkg_name},%{pkg_name}) %{_sysconfdir}/%{real_name}/
%config(noreplace) %attr(640,%{pkg_name},%{pkg_name}) %{_sysconfdir}/%{real_name}/default.vcl
%config            %attr(640,%{pkg_name},%{pkg_name}) %{_sysconfdir}/%{real_name}/default.vcl.example
%dir %attr(750,%{pkg_name},%{pkg_name}) %{_var}/run/%{real_name}/
#
%{_sbindir}/varnishd
%{_sbindir}/varnishhist
%{_sbindir}/varnishlog
%{_sbindir}/varnishncsa
%{_sbindir}/varnishstat
%{_sbindir}/varnishtop
%{_sbindir}/varnishadm
%{_sbindir}/varnishreplay
%{_sbindir}/varnishtest
%{_mandir}/man1/varnishadm.1*
%{_mandir}/man1/varnishreplay.1*
%{_mandir}/man1/varnishd.1*
%{_mandir}/man1/varnishhist.1*
%{_mandir}/man1/varnishlog.1*
%{_mandir}/man1/varnishncsa.1*
%{_mandir}/man1/varnishstat.1*
%{_mandir}/man1/varnishtop.1*
%{_mandir}/man1/varnishtest.1*
%{_mandir}/man7/vcl.7*
%doc ChangeLog LICENSE README
%if ! 0%{?suse_version}
%doc redhat/README.redhat
%endif
%dir %attr(750,%{pkg_name},%{pkg_name}) %{pkg_home}
%dir %attr(750,%{pkg_name},%{pkg_name}) %{pkg_cachedir}
%config /etc/logrotate.d/varnish

%files -n libvarnish1
%defattr(-,root,root,-)
%{_libdir}/libvarnish.so.1
%{_libdir}/libvarnish.so.1.0.0
%{_libdir}/libvarnishapi.so.1
%{_libdir}/libvarnishapi.so.1.0.0
%{_libdir}/libvcl.so.1
%{_libdir}/libvcl.so.1.0.0
%{_libdir}/libvarnishcompat.so.1
%{_libdir}/libvarnishcompat.so.1.0.0


%files devel
%defattr(-,root,root,-)
%{_includedir}/varnish/
%{_libdir}/pkgconfig/varnishapi.pc
%{_libdir}/libvarnish.la
%{_libdir}/libvarnishapi.la
%{_libdir}/libvcl.la
%{_libdir}/libvarnishcompat.la
%{_libdir}/libvarnish.so
%{_libdir}/libvarnishapi.so
%{_libdir}/libvcl.so
%{_libdir}/libvarnishcompat.so

%changelog
